> ## Documentation Index
> Fetch the complete documentation index at: https://developers.crmclick.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Perpetual Order Book

> Returns the current order book of a specific pair.



## OpenAPI

````yaml GET /perpetual/orderbook
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cgk-api.crmclick.io
security: []
paths:
  /perpetual/orderbook:
    get:
      description: Returns the current order book of a specific pair.
      parameters:
        - name: ticker_id
          in: query
          required: true
          description: The trading symbol of this object, e.g. BTC_USDT, ETH_USDT
          schema:
            type: string
            default: BTC_USDT
      responses:
        '200':
          description: Perpetual order book response
          content:
            application/json:
              schema:
                required:
                  - ticker_id
                  - bids
                  - asks
                type: object
                properties:
                  ticker_id:
                    description: The trading symbol of this object, e.g. BTC_USDT, ETH_USDT
                    type: string
                  timestamp:
                    description: Timestamp
                    type: number
                  bids:
                    description: The current all bids in format [price, size]
                    type: array
                  asks:
                    description: The current all asks in format [price, size]
                    type: array
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ApiError:
      required:
        - error
      type: object
      properties:
        error:
          type: string

````